Bug 455232 - RHEL5-U2 Installation hangs on p-series--7029, 2078
RHEL5-U2 Installation hangs on p-series--7029, 2078
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
powerpc Linux
urgent Severity urgent
: rc
: ---
Assigned To: Ameet Paranjape
Red Hat Kernel QE team
: ZStream
: 489241 (view as bug list)
Depends On:
Blocks: 483701 485920 494293
  Show dependency treegraph
 
Reported: 2008-07-14 05:59 EDT by Prasanna
Modified: 2010-10-22 22:48 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified linux-2.6-ipmi-legacy-ioport-setup-changes.patch that fixes issue (2.00 KB, patch)
2009-03-26 15:42 EDT, Justin Payne
no flags Details | Diff
patch to fix issue (715 bytes, patch)
2009-03-26 17:55 EDT, Justin Payne
no flags Details | Diff

  None (edit)
Description Prasanna 2008-07-14 05:59:33 EDT
Description of problem: Installation screen gets hanged and keyboard will not 
function and unable to complete the installation.
IBM p-series modeltype:
7029 -6aa
7028


Version-Release number of selected component (if applicable): RHEL5-U2


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2008-09-26 16:50:00 EDT
At what point does the installation halt, and what are you doing at the time?  Are there any helpful error messages on tty3 or tty4?  Is the machine completely locked up?
Comment 2 Prasanna 2008-10-03 02:39:18 EDT
Hello,

Installation begins and when it comes to Language selection which is 1st input in the installation screen, it hangs, keyboard does not function at all. so we cannot navigate to tty3 or tty4.
Comment 3 William Burrows 2009-01-27 16:00:38 EST
Hello,

This situation has occurred again with a customer I am working with.  The keyboard is of no use and stops to function during installation on very similar hardware (pSeries 7029-6C3).  Was this ever resolved?   Or was hardware to blame and nothing ever came of it.  Any ideas?
Comment 4 Prasanna 2009-01-28 00:50:01 EST
The issue still persists. We had installed OS using HyperTerminal.

Strange thing to note here is.. the keyboard does not work even after os installation. We are unable to work with keyboard physically on the server console, but we can take ssh and work on the server remotely.

Redhat team: The keyboard does not function after the installation begins, once we boot with the first CD and come to language selection screen to begin the installation, the keyboard does not function at all.. none of the key will work from this stage.
Comment 5 William Burrows 2009-02-04 17:02:42 EST
After some testing, it appears that RHEL5 GA and RHEL 5.1 both install correctly on the pSeries 7029-6C3.  The keyboard is functional and the system runs as normal.  

The customer then ran <yum update> to get to RHEL 5.3.  After the update the keyboard was no longer functional.  

This means that somewhere between 5.1 and 5.2 a regression occurs in the code that causes the keyboard to fail.
Comment 7 RHEL Product and Program Management 2009-02-13 07:13:25 EST
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 8 RHEL Product and Program Management 2009-02-16 10:07:27 EST
Updating PM score.
Comment 26 Justin Payne 2009-03-26 15:42:54 EDT
Created attachment 336876 [details]
modified linux-2.6-ipmi-legacy-ioport-setup-changes.patch that fixes issue

changed patch to return 0 instead of -ENODEV. We should only return -ENODEV if (np) is null.
Comment 27 Justin Payne 2009-03-26 15:46:42 EDT
Engineering,

Please review and test the attached patch. The customer in my case reports that it fixes the keyboard issue. I do not know the implications it may have on ipmi if any. A test kernel can be found at:

http://people.redhat.com/jpayne/264443/kernel-2.6.18-128.1.1.el5.jptest455232_6.ppc64.rpm
Comment 28 Justin Payne 2009-03-26 17:55:37 EDT
Created attachment 336917 [details]
patch to fix issue
Comment 32 Ameet Paranjape 2009-04-03 14:13:47 EDT
*** Bug 489241 has been marked as a duplicate of this bug. ***
Comment 34 Don Zickus 2009-04-06 17:16:11 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 39 errata-xmlrpc 2009-09-02 04:02:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.